> For the complete documentation index, see [llms.txt](https://docs.nextblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nextblock.io/api/submit-transaction.md).

# Submit Transaction

### POST /api/v2/submit

#### Description

Submits a single signed transaction to NextBlock.

### Request

* **URL: `/api/v2/submit`**
* **Method:** `POST`
* **Headers:**
  * `Content-Type: application/json`
  * `Authorization: <token>`

**Request Body**

```json
{
  "transaction": {
    "content": "base64-encoded-signed-transaction"
  },
  "skipPreFlight": true,
  "frontRunningProtection": false,
  "disableRetries": false,
  "revertOnFail": false,
  "snipeTransaction": false
}
```

### Notes

* `transaction.content` must be the base64-encoded bytes of a fully signed Solana transaction.
* The optional flags above are available on the HTTP and gRPC submission paths.
* If you use [QUIC Transaction Submission](/api/quic-transaction-submission.md), these flags are **not** available. QUIC accepts only the raw signed transaction bytes.

### **Response**

**Success (200 OK)**

```json
{
  "signature": "tx-signature",
  "uuid": "jito-bundle-uuid"
}
```

**Error (400 Bad Request)**

```json
{
  "code": 2,
  "message": "fee too low; transaction contains low tip",
  "details": []
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nextblock.io/api/submit-transaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
